rio_route_get_entry
Prev | Enumeration and Discovery | Next

## Name

rio_route_get_entry — Read a route entry in a switch routing table

## Synopsis

`int rio_route_get_entry (` | struct rio_mport * | mport,
| struct rio_switch * | rswitch,
| u16 | table,
| u16 | route_destid,
| u8 * | route_port`)`;

## Arguments

`mport`

  Master port to send transaction

`rswitch`

  Switch device

`table`

  Routing table ID

`route_destid`

  Destination ID to be routed

`route_port`

  Pointer to read port number into

## Description

Calls the switch specific `get_entry` method to read a route entry in a switch. The route table can be specified using the `table` argument if a switch has per port routing tables or the normal use is to specific all tables (or the global table) by passing `RIO_GLOBAL_TABLE` in `table`. Returns `0` on success or `-EINVAL` on failure.

Prev | Up | Next
rio_route_add_entry | Home | rio_get_host_deviceid_lock